@page {
    size: auto;   /* auto is the initial value */
    margin: 0;  /* this affects the margin in the printer settings */
}

td.td-style td {
    border: 1px solid #000
}

th, td, tr {
    word-break:break-all;
}

.fixed-header, .fixed-footer {
    width: 100%;
    position: fixed;
}

.fixed-header {
    top: 0;
}

.fixed-footer {
    bottom: 0;
}

div.section {
    page-break-inside: avoid;
}

@media print {
    body {
        margin: 25px
    }

}

@page {
    size: 21cm 29.7cm;  /* A4 */
    margin: 1cm 1cm 1cm 1cm; /* Margins: 2.5 cm on each side */
    mso-page-orientation: portrait;
}

.report-header {
    display: table-header-group;
    border: 1px solid black;
}

.report-footer {
    display: table-footer-group;
    border: 1px solid black;
}
